Add a new listener to the server.

- « Swoole\Server

- Swoole\Server::addProcess »

- PHP Manual
- Swoole\Server
- Add a new listener to the server.

# Swoole\Server::addlistener

(PECL swoole >= 1.9.0)

Swoole\Server::addlistener — Add a new listener to the server.

### Description

public Swoole\Server::addlistener(string `$host`, int `$port`, string `$socket_type`): void

### Parameters

`host`

`port`

`socket_type`

### Return Values